import { OnInit, OnDestroy, ChangeDetectorRef } from '@angular/core';
import { ToastComponent } from './toast';
import { ToastDataFilled } from './toast.config';
export declare class ToastItemComponent implements OnInit, OnDestroy {
    protected toastComponent: ToastComponent;
    protected cd: ChangeDetectorRef;
    toast: ToastDataFilled;
    protected options: any;
    private autoErase;
    private timer;
    constructor(toastComponent: ToastComponent, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    protected _destroy(): void;
    private _startEraseTimeout;
    private _clearEraseTimeout;
}
